ECHO OFF
ECHO **** Color Edit (v1.03) batch for COMBIning files. ****
IF NOT "%4"=="" GOTO L0
:USE
ECHO            . . . . . . . . . . . 
ECHO The following information is displayed when CECOMBI is
ECHO invoked with no parameters at all, or incorrectly.
ECHO How to use the CECOMBI batch:
ECHO Example 1:-
ECHO            CECOMBI  F1 TXT F2 TXT
ECHO            will append F2.TXT to F1.TXT
ECHO Example 2:-
ECHO            CECOMBI  F1 TXT F2 TXT +
ECHO            will append F2.TXT to F1.TXT , and append F2.DUO to F1.DUO
ECHO Note:-
ECHO   A space must be used between name and extension instead of the
ECHO   usual "."  Only filenames with extensions are suitable.
ECHO Generally:-
ECHO   The file Param1.Param2 will have the file Param3.Param4 appended to it.
ECHO   If Parameter5 is + , Param1.DUO will have Param2.DUO appended to it.
GOTO END
:L0
ECHO The file  %1.%2  will have  %3.%4  appended to it.
IF "%5"=="+" GOTO D2
IF NOT "%5"=="" GOTO USE
ECHO The old version of %1.%2  will be saved in  %1.BAK
ECHO Be sure that  %1.%2  is not paired with a .DUO file for color.
ECHO To end batch before anything is done, do Ctrl-Break.  Otherwise:-
PAUSE
GOTO L2
:D2
ECHO  "   "    %1.DUO  will have  %3.DUO  appended to it.
ECHO Be sure that  %1.%2  and  %1.DUO  go together.
ECHO  "   "    "   %3.%4  and  %3.DUO  go together.
ECHO The files %1.BAK and %1.BKD will be used,
ECHO for backup of the originals until the Save option is used.
ECHO CE.COM must be in the current directory, or on the command path,
ECHO so that the command CE invokes Color Edit from the DOS prompt.
ECHO To end batch before anything is done, do Ctrl-Break.  Otherwise:-
PAUSE
CE ID-TEST /&
IF NOT ERRORLEVEL 206 GOTO CENF
IF ERRORLEVEL 207 GOTO CENF
IF NOT EXIST %3.DUO GOTO FNE
IF NOT EXIST %1.DUO GOTO FNE
IF EXIST %1.BKD DEL %1.BKD
IF EXIST %1.BKD GOTO EBKD
:L2
IF NOT EXIST %3.%4 GOTO FNE
IF NOT EXIST %1.%2 GOTO FNE
IF EXIST %1.BAK DEL %1.BAK
IF EXIST %1.BAK GOTO EBAK
ECHO Combining files ...
REN %1.%2 *.BAK
COPY /B  %1.BAK+%3.%4 %1.%2 >NUL
IF "%5"=="+" GOTO D3
GOTO END
:D3
ECHO Combining .DUO files ...
REN %1.DUO *.BKD
COPY /B  %1.BKD+%3.DUO %1.DUO >NUL
ECHO ...
ECHO (If a problem, eg. insufficient disk space, occurred during combining, do
ECHO  Ctrl-Break to end batch now; then restore files from .BAK,.BKD as req'd.)
ECHO ...
ECHO Next will invoke Color Edit program (CE.COM) with the /M switch.
ECHO to match up the time stamps on the combined files.  You should:-
ECHO 1. Make any changes you like to the combined document.
ECHO 2. Then quit Color Edit using Save - even if no changes have been made.
ECHO    This will save the fact that the two combined files have been matched
ECHO    up using the /M switch.  (Otherwise the color may get lost.)
PAUSE
CE %1.%2 /M
IF NOT ERRORLEVEL 4 GOTO END
ECHO ...
DEL %1.%2
REN %1.BAK *.%2
DEL %1.DUO
REN %1.BKD *.DUO
ECHO CECOMBI: Original files restored, as combined files couldn't be edited.
GOTO END
:FNE
IF NOT EXIST %1.%2 ECHO Sorry,  %1.%2  does not exist.
IF NOT EXIST %3.%4 ECHO Sorry,  %3.%4  does not exist.
IF "%5"=="" GOTO END
IF NOT EXIST %1.DUO ECHO Sorry,  %1.DUO  does not exist.
IF NOT EXIST %3.DUO ECHO Sorry,  %3.DUO  does not exist.
GOTO END
:EBAK
ECHO Sorry, can't back up to %1.BAK
GOTO END
:EBKD
ECHO Sorry, can't back up to %1.BKD
GOTO END
:CENF
ECHO    ----------------------------
ECHO CECOMBI: Sorry, CE.COM not identified.
:END
